package edu.chl.basixFX;

import com.google.common.eventbus.EventBus;
import edu.chl.basixFX.model.Model;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/*

        Application entry class

 */
public class Main extends Application {

    // Some global accessible
    public static final EventBus BUS = new EventBus(); // Google Guavas bus
    public static final Model MODEL = new Model();

    @Override
    public void start(Stage primaryStage) throws Exception{
        Parent root = FXMLLoader.load(getClass().getResource("/fxml/main.fxml"));
        primaryStage.setTitle("Basic FX Application");
        primaryStage.setScene(new Scene(root, 300, 275));
        primaryStage.show();
    }


    public static void main(String[] args) {
        launch(args);
    }
}
