package edu.chl.hajo.monopoly;

import edu.chl.hajo.monopoly.view.MainWindow;
import java.lang.reflect.InvocationTargetException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.SwingUtilities;

/**

 @author hajo
 */
public class Main {

    public static void main(String[] args) {

        // Create the main window (model created at start game)
        try {
            SwingUtilities.invokeAndWait(() -> {
                MainWindow mainWindow = new MainWindow();
                mainWindow.setVisible(true);
            });
        } catch (InterruptedException | InvocationTargetException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
