package edu.chl.hajo.monopoly.core;

import java.util.Random;

/**
 Monopoly specific pair of dices

 @author hajo
 */
public class Dices {

    private static final Random rand = new Random();
    private int first;    // Values for dices
    private int second;

    public void roll() {
        first = rand.nextInt(6) + 1;
        second = rand.nextInt(6) + 1;
    }

    public int getTotal() {
        return first + second;
    }

    public boolean bothAreSix() {
        return first == second && first == 6;
    }

}
