package edu.chl.hajo.monopoly.services.file;

import edu.chl.hajo.monopoly.service.file.FileHandler;
import edu.chl.hajo.monopoly.service.file.IFileHandler;
import java.awt.Image;
import java.io.IOException;
import java.util.List;
import org.junit.Test;
import static org.junit.Assert.*;

/**
  Testing File Service
 @author hajo
 */
public class TestFile {

    @Test
    public void test() throws IOException {
        IFileHandler f = FileHandler.getFileHandler();
        List<String> fileNames = f.getDirectoryFileList("icon");
        assertTrue(fileNames.size() > 0);
    }

    @Test
    public void testGetImage() {
        IFileHandler f = FileHandler.getFileHandler();
        Image i = f.getIcon("ATATPilot-icon.png");
        assertTrue(i != null);
    }
    
    

}
