package mvc;

import java.awt.BorderLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JFrame;
import javax.swing.JPanel;



/**
 * Application main window. 
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class MainFrame extends JFrame    {
	
    // Here you should have the menu and
    // possible some central for dialogs (exceptions)

	public MainFrame() {
		init();
	}

	
	
	 // Construction code -----------------------
	
	private void init(){
	    // initMenu()     If needed
	    // initDialogs()  If needed
	    this.setLayout(new BorderLayout());
	    this.setTitle("Main");
	    this.setLocationRelativeTo(null); // Center
	    this.getContentPane().add(myPanel, BorderLayout.CENTER);
	    this.setSize(400,100);
	    this.addWindowListener(listener);
	}
	
	// GUI is composed of panels
	private JPanel myPanel = new MyPanel();
	
	private final WindowListener listener = new WindowAdapter() {
        @Override
        public void windowClosing(WindowEvent e) {
           MainFrame.this.dispose();
           System.exit(0);
        }
    };
	
}
