package xml;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

import com.thoughtworks.xstream.XStream;

public class TestXML {

	private static String s;

	@Test
	public void testWrite() {
		List<SomeData> l = new ArrayList<SomeData>();
		l.add(new SomeData("aaa", 111));
		l.add(new SomeData("bbb", 222));
		l.add(new SomeData("ccc", 333));

		XStream xstream = new XStream();
		xstream.alias("data", SomeData.class);

		// Possble
		s = xstream.toXML(l);

		xstream.toXML(l, System.out);

		assertTrue(s.length() > 0);
	}

	@Test
	public void testRead() {
		XStream xstream = new XStream();
		xstream.alias("data", SomeData.class);
		List<SomeData> l = (List<SomeData>) xstream.fromXML(s);

		assertTrue(l.size() > 0);
		
		for(SomeData d : l){
			System.out.println(d);
		}
		
	}

}
