package edu.chl.hajo.td.core;

import java.util.List;
import lombok.Getter;

/**
 *
 * @author hajo
 */
public class TowerDefence {

    @Getter
    private final List<Tower> towers;
    @Getter
    private final List<Monster> monsters;

    public TowerDefence(List<Tower> towers, List<Monster> monsters) {
        this.towers = towers;
        this.monsters = monsters;
    }

    // One time tick, updeta model
    public void tick() {
        monsters.stream().forEach(m -> {
            m.move();
        });
    }

}
