package chl.hajo.gdxdemo.core;

/**

 @author hajo
 */
public class RainDrop {

    private final float x;
    private float y;
    private final float width;
    private final float height;

    public RainDrop(float x, float y, float width, float height) {
        this.x = x - width / 2;
        this.y = y;
        this.width = width;
        this.height = height;
    }

    public void fall(float dist) {
        if (y + height > 0) {
            y -= dist;
        }
    }

    public float getX() {
        return x;
    }

    public float getY() {
        return y;
    }

    public float getWidth() {
        return width;
    }

    public float getHeight() {
        return height;
    }

    @Override
    public String toString() {
        return "RainDrop{" + "x=" + x + ", y=" + y + '}';
    }

}
